OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_TopologicalRepresentationItem Class Reference

`#include <StepShape_TopologicalRepresentationItem.hxx>`

Inheritance diagram for StepShape_TopologicalRepresentationItem:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_TopologicalRepresentationItem ()
| Returns a TopologicalRepresentationItem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_TopologicalRepresentationItem::StepShape_TopologicalRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_TopologicalRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem. Reimplemented in StepShape_AdvancedFace, StepShape_ClosedShell, StepShape_ConnectedEdgeSet, StepShape_ConnectedFaceSet, StepShape_ConnectedFaceSubSet, StepShape_Edge, StepShape_EdgeCurve, StepShape_EdgeLoop, StepShape_Face, StepShape_FaceBound, StepShape_FaceOuterBound, StepShape_FaceSurface, StepShape_Loop, StepShape_LoopAndPath, StepShape_OpenShell, StepShape_OrientedClosedShell, StepShape_OrientedEdge, StepShape_OrientedFace, StepShape_OrientedOpenShell, StepShape_OrientedPath, StepShape_Path, StepShape_PolyLoop, StepShape_SeamEdge, StepShape_Subedge, StepShape_Subface, StepShape_Vertex, StepShape_VertexLoop, and StepShape_VertexPoint.

The documentation for this class was generated from the following file:

- StepShape_TopologicalRepresentationItem.hxx